\documentclass[10pt,a4paper]{article}
\usepackage{a4wide}
\usepackage{listings}
\title{Assignment 1}
\author{Danilo Carvalho Martins\\ 155123}

\begin{document}
\maketitle
\section{}

The interfaces listed by \verb|tcpdump --list-interfaces| are:

\begin{verbatim}
wlp1s0
any
lo
virbr0
virbr0-nic
bluetooth0
bluetooth-monitor
nflog
nfqueue
dbus-system
dbus-session
usbmon1
usbmon2
\end{verbatim}

Those interfaces are different from the ones listed by
ifconfig, there are two nf* interfaces used by Netfilter,
the dbus-*, and the bluetooth and usb monitoring interfaces

\section{}

Using \verb|nslookup| on \verb|maple.csail.mit.edu| and
\verb|willow.csail.mit.edu|:
\begin{itemize}
\item Maple: \verb|128.30.4.223|
\item Willow: \verb|128.30.4.222|
\end{itemize}

\section{}
From \verb|tcpdump -er {}| and analysing the ethernet
headers, we can see that the MAC addresses are:
\begin{itemize}
\item Maple: \verb|00:16:ea:8d:e5:8a|
\item Willow: \verb|00:16:ea:8e:28:44|
\end{itemize}

\section{}
Since it was state that only one TCP connection was used
rung the exchange, from this excerpt of line
\verb|128.30.4.222.39675 > 128.30.4.223.5001|, we can see
that host \verb|.222|(willow), used port 39675 and
\verb|.223|(maple), used port 5001.

\begin{itemize}
\item Maple: 5001
\item Willow: 39675
\end{itemize}

Both of them used ports in the registed port range.

\section{}

By summing the length of the packages, using

\begin{verbatim}
$ tcpdump -vvr tcpdump.dat | egrep -o ', length [0-9]+\)' \
  awk -F'[) ]' '{s+= $3} END {print s}'
\end{verbatim}

We have that the total transmission was 1729288 bytes. Using
\verb|tcpdump -tttttr tcpdump.dat|, we see that the last
packet was sent 2.865979 seconds after the first one,
averaging 603384.742177106 bytes/sec.

\section{}

\begin{itemize}
\item RTT 1473:2921: 0.007822036743164062
\item RTT 13057:14505: 0.024380922317504883
\end{itemize}

Those two values are different probably due to congestion in
the network.

\section{}

Handshake:
\begin{verbatim}
SYN:(Willow->Maple)
21:34:41.473518 IP willow.csail.mit.edu.39675 >
    maple.csail.mit.edu.commplex-link: Flags [S], seq
    1258159963, win 14600, options [mss 1460,sackOK,TS val
    282136473 ecr 0,nop,wscale 7], length 0

SYN+ACK:(Maple->Willow)
21:34:41.474055 IP maple.csail.mit.edu.commplex-link >
    willow.csail.mit.edu.39675: Flags [S.], seq 2924083256, ack
    1258159964, win 14480, options [mss 1460,sackOK,TS val
    282202089 ecr 282136473,nop,wscale 7], length 0

ACK:(Willow->Maple)
21:34:41.474079 IP willow.csail.mit.edu.39675 >
    maple.csail.mit.edu.commplex-link: Flags [.], ack 1, win
    115, options [nop,nop,TS val 282136474 ecr 282202089],
    length 0
\end{verbatim}

Termination:

\begin{verbatim}
FYN:(Maple->Willow)
21:34:44.339007 IP maple.csail.mit.edu.commplex-link >
  willow.csail.mit.edu.39675: Flags [F.], seq 1, ack 1572890,
  win 905, options [nop,nop,TS val 282204955 ecr 282139320],
  length 0

ACK:(Willow->Maple)
21:34:44.339015 IP willow.csail.mit.edu.39675 >
  maple.csail.mit.edu.commplex-link: Flags [.], ack 2, win
  115, options [nop,nop,TS val 282139339 ecr 282204955],
  length 0
\end{verbatim}

\end{document}
